<?php
include('cap.php');
$info="";
if(isset($_POST['go_cat']))
  {
    $_POST['cat']=trim($_POST['cat']);
    $_POST['cat']=stripslashes($_POST['cat']);
    $_POST['cat']=str_replace("*","",$_POST['cat']);
    if($_POST['cat']!="")
      {
        $time=time();
        $f=fopen("db/cat.txt","a+");
        fwrite($f,"$time*$_POST[cat]\r\n");
        fclose($f);

        $f=fopen("db/cat/$time","w+");
        fclose($f);
        echo "<meta http-equiv=refresh content='0; url=admin1.php'>";
        exit();
      }
  }

if(isset($_POST['go_red']) && isset($_GET['red']) && file_exists("db/cat/$_GET[red]"))
  {
  	$_POST['cat_red']=trim($_POST['cat_red']);
    $_POST['cat_red']=stripslashes($_POST['cat_red']);
    $_POST['cat_red']=str_replace("*","",$_POST['cat_red']);
    if($_POST['cat_red']!="")
       {
          $file=file("db/cat.txt");
          $f=fopen("db/cat.txt","w+");
          foreach($file as $line)
          {
   	        $line=trim($line);
   	        $expl=explode("*",$line);
            if($_GET['red']==$expl[0])fwrite($f,$expl[0]."*".$_POST['cat_red']."\r\n");
            else fwrite($f,$line."\r\n");
          }
          fclose($f);
           echo "<meta http-equiv=refresh content='0; url=admin1.php'>";
          exit();
       }
   }

if(isset($_GET['del']) && file_exists("db/cat/$_GET[del]"))
  {
    $file=file("db/cat/$_GET[del]");
    if(!count($file))
      {
        unlink("db/cat/$_GET[del]");
        $file=file("db/cat.txt");
          $f=fopen("db/cat.txt","w+");
          foreach($file as $line)
          {
   	        $line=trim($line);
   	        $expl=explode("*",$line);
            if($_GET['del']==$expl[0])continue;
            fwrite($f,$line."\r\n");
          }
          fclose($f);
          echo "<meta http-equiv=refresh content='0; url=admin1.php'>";
          exit();
      }
    else $info="<font color=red>Нельзя удалить эту категорию, т.к. в ней есть статьи!</font>";
  }
?>
<table id=info ><tr><td><img src="img/inf.jpg"  alt="Справка" border="0" ></td>
<td>Если вы хотите, чтобы  категорий статей было больше, чем одна, можете их здесь добавить.</td></tr>
</table>

<table  class=tab  ><tr>
  <td class=valtop>
  <form  method="post">
     <input name="cat" type="text" size=60>&nbsp;&nbsp;<input type="submit" value="добавить" name=go_cat id=button><br /><br />

<?php
if($info!="")echo "$info<br />";
echo"<table  class=tab1  >";
  $file=file("db/cat.txt");
  $n=0;
  foreach($file as $line)
   {
   	 if($n==0)
   	    {
   	    	$css1="class=sett1";
   	    	$css2="class=sett2";
   	    }
   	  else
   	    {
   	      $css1="class=sett1";
   	      $css2="class=sett2";;
   	    }
   	 $line=trim($line);
   	 $expl=explode("*",$line);
   	 if(!isset($_GET['red']) || !file_exists("db/cat/".@$_GET['red']) || $expl[0]!=@$_GET['red'])
   	    echo "<tr><td $css1>$expl[1]</td><td $css2>&nbsp;&nbsp;</td><td $css2>
        <a href=admin1.php?red=$expl[0]><img src=img/red.png alt=редактировать></a>&nbsp;&nbsp;&nbsp;&nbsp;
        <a href=# onclick=\"del('admin1.php?del=$expl[0]','категорию');return false;\"><img src='img/del.png' alt=удалить></a>
   	    </td></tr>";
   	  else
   	     echo "<tr><td $css1><input name=cat_red type=text value='$expl[1]'></td>
   	     <td $css2>&nbsp;&nbsp;</td><td $css2><input type=submit value=сохранить id=button name=go_red></td></tr>";

   	 $n++;
   }
?>
</table>
</form>
  </td></tr></table>
</div>
</body>
</html>

